Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1091674 - [Network labels] The order of the Network labels on the NIC is random
Summary: [Network labels] The order of the Network labels on the NIC is random
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: 3.5.0
Assignee: Alona Kaplan
QA Contact: Michael Burman
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-27 08:20 UTC by GenadiC
Modified: 2016-02-10 19:49 UTC (History)
13 users (show)

Fixed In Version: ovirt-3.5.0-beta1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:10:59 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)
screen shot (deleted)
2014-07-16 15:10 UTC, Michael Burman
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28885 master MERGED webadmin: Nic labels should be sorted Never
oVirt gerrit 30217 master MERGED webadmin: The labels should be displayed in lexo numeric order Never
oVirt gerrit 30219 ovirt-engine-3.5 MERGED webadmin: The labels should be displayed in lexo numeric order Never

Description GenadiC 2014-04-27 08:20:56 UTC
Description of problem:
The order of the network labels on the NIC is inconsistent. Every new label is added at the end, but if you attach the label to the network and as a result it is attached to the Host, the sequence of the labels changes randomly again

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create several network labels on the NIC
2. Attach the last one to some Network as well
3.

Actual results:
The labels are presented randomly

Expected results:
Network labels should be presented according to Alphabetic order

Additional info:

Comment 1 Dan Kenigsberg 2014-05-08 07:36:50 UTC
This bug is not a blocker or an exception forand won't make it for 3.4.0.

Comment 3 Michael Burman 2014-07-16 15:08:13 UTC
When i was verifying this bug i noticed that there is no match between what is displayed in the edit interface(nic) label window, the setup network window and the tool tip on the name of the nic in the sub tab network interfaces under hosts.
for example:
the edit interface(nic) label window display:
cb
mb1
mb10 
mb2
mb22
mb4
mb5
mb8

the setup network window display:
cb
mb1
mb2
mb4
mb5
mb8
mb10
mb22

and the tool tip on the name nic in the [hosts]>[network interfaces] display:
cb
mb1
mb10
mb2
mb22
mb4
mb5
mb8
just like edit interface(nic) label window displays


So i need to know if this behavior is what the user should expect?
before verifying or failing this one.
print screen will attached.

Comment 4 Michael Burman 2014-07-16 15:10:50 UTC
Created attachment 918449 [details]
screen shot

Comment 5 Lior Vernia 2014-07-16 15:13:50 UTC
This should be failed, should be properly sorted as in the Setup Networks dialog. Alona, please supply the LexoNumericComparator for the other two cases...

Comment 6 Michael Burman 2014-07-27 09:07:29 UTC
Verified on -  oVirt Engine Version: 3.5.0-0.0.master.20140722232058.git8e1babc.el6

Comment 8 Eyal Edri 2015-02-17 17:10:59 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.